# ContextMenuStrip

Adds supports for \[System.Windows.Forms.ContextMenuStrip]\(<https://msdn.microsoft.com/es-es/library/system.windows.forms.contextmenustrip(v=vs.110).aspx>).

## Implementation  Details:

> **Component Selector:** 'wm-contextmenustrip'
>
> **Kendo UI Component:** [Kendo PopUp](https://www.telerik.com/kendo-angular-ui/components/popup/) **Kendo UI Component:** [Kendo Menu](https://www.telerik.com/kendo-angular-ui/components/menu/)

## Class inheritance

ContextMenuStrip extends [ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md).

## PME Support

### Properties

| Property         | Get | Set | Notify Changes | Details                                                                                                                                                                        |
| ---------------- | --- | --- | -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Name: string     | Yes | No  | No             | Inherited from ControlComponent [see ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md) |
| Enabled: boolean | Yes | Yes | No             | Inherited from ControlComponent [see ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md) |
| Visible: boolean | Yes | Yes | No             | Inherited from ControlComponent [see ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md) |
| url: string      | Yes | No  | No             | Url to the remote service which return the menu items                                                                                                                          |
| show: boolean    | No  | No  | No             | Used to close or open the contextmenu                                                                                                                                          |
| offset: any      | No  | No  | No             | Used to position the contextmenu in the clicked point                                                                                                                          |
| items: any\[]    | No  | No  | No             | Array of data of the contextmenu                                                                                                                                               |
| currentItem: any | No  | No  | No             | When any item was clicked is set as the current item                                                                                                                           |

### Methods

| Method                      | Supported | Details                                                                  |
| --------------------------- | --------- | ------------------------------------------------------------------------ |
| for (component: any)        | Yes       | Used as an input for another component to attach the contextmenu         |
| onContextMenu(e: EventData) | Yes       | Method that set values of the contextmenu to show it on each right click |
| unsubscribe()               | Yes       | Used to reset subscription of the component                              |

### Events

| Event            | Supported | Parameter       | Details                 |
| ---------------- | --------- | --------------- | ----------------------- |
| menuItemSelected | Yes       | **$event**: any | Triggers `Click` Event. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gapvelocity.ai/webmap/general/frontend/documentation/winforms-angular-components/web-components/kendoui-components/contextmenustrip.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
